Unity webplayer update?

Discussion in 'Unity Gossip' started by tatelax, Sep 6, 2010.

  1. tatelax

    tatelax

    Member

    Joined:
    Feb 4, 2010
    Messages:
    1,102
    Is there an update for the web player plugin? I was trying to play a game and a box came up wanted me to allow access to the Unity web player update (im on windows 7.) So I allowed it access then on the game screen it said failed and had a link to to download the web player manually and it said, "Update manually" So I did it manually and it looks like nothing has changed. I still cant play!
  2. Aras

    Aras

    Graphics Plumber Unity Technologies

    Joined:
    Nov 7, 2005
    Messages:
    4,139
    Which game you're trying to play? Is that game built with a pre-release Unity 3.0 version by chance? If so, it won't work until Unity 3.0 is released.
  3. tatelax

    tatelax

    Member

    Joined:
    Feb 4, 2010
    Messages:
    1,102
  4. saymoo

    saymoo

    Member

    Joined:
    May 19, 2009
    Messages:
    850
    if you press the error details link, you'll get a popup, with more info about the given error.

    Mine says:

    Unity Web Player update finished, but installed revision (3006005) is less than required revision (3007007). Please reinstall.

    so my guess is that the link to the webapp is based on the 3.0 release of Unity.
  5. tatelax

    tatelax

    Member

    Joined:
    Feb 4, 2010
    Messages:
    1,102
    Heres what it says when I click error details.

    [​IMG]
  6. Aras

    Aras

    Graphics Plumber Unity Technologies

    Joined:
    Nov 7, 2005
    Messages:
    4,139
    Yes, indeed, someone put up a game made with pre-release 3.0 version on the internet.

    They have been warned that this is not going to work, but oh well.
  7. thempus

    thempus

    Member

    Joined:
    Jul 3, 2010
    Messages:
    47
    It's working for me, with the unity beta 3 logo in the corner :), i have beta 7

    Any news about web player crashing using Chrome?
  8. Veetos

    Veetos

    New Member

    Joined:
    Sep 21, 2009
    Messages:
    40
    My project is made in free Unity 2.6.1, last edited long before 3.0 showed up, no early beta versions instaled. Recently I have updated the webplayer to 3.0.0f5, and I have this message:

    "A newer version of Unity Web Player is required, but the auto-update download failed. Was trying to download http://webplayer.unity3d.com/autodownload_webplugin-3.x/UnityPlayer2.x.x-i386.bundle.zip"

    I have reinstalled the webplayer once again, and once again, and no difference. I have also installed the newest Unity free version and still the same error.
    What can I do with it?
  9. andeeeee

    andeeeee

    Unity Technologies

    Joined:
    Jul 19, 2005
    Messages:
    8,729
    Is this occurring with any particular browser or all the ones you've tried on your machine?
  10. Veetos

    Veetos

    New Member

    Joined:
    Sep 21, 2009
    Messages:
    40
    It happens in FF and Safari. I only have these two browsers.
  11. Joe Robins

    Joe Robins

    Unity Technologies

    Joined:
    Apr 21, 2008
    Messages:
    428
  12. sabalo639

    sabalo639

    New Member

    Joined:
    Aug 1, 2011
    Messages:
    1
    um im playing fusion fall in firefox and unity keeps crashing like when im in fullscreen right when i get to move my character it crashes but when im not in fullscreen and im playing like 1 hour later after i get to move my character it crashes can you help me?